## ros-iron-interactive-markers 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(interactive_markers)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(visualization_msgs REQUIRED)

ament_python_install_package(${PROJECT_NAME})

add_library(${PROJECT_NAME} SHARED
  src/interactive_marker_server.cpp
  src/tools.cpp
  src/menu_handler.cpp
  src/interactive_marker_client.cpp
  src/message_context.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} PUBLIC
  rclcpp::rclcpp
  tf2::tf2
  ${visualization_msgs_TARGETS})
target_link_libraries(${PROJECT_NAME} PRIVATE
  rmw::rmw
  ${tf2_geometry_msgs_TARGETS})

install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "INTERACTIVE_MARKERS_BUILDING_LIBRARY")

ament_export_dependencies("rclcpp")
ament_export_dependencies("tf2")
ament_export_dependencies("visualization_msgs")
ament_export_targets(export_${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(geometry_msgs REQUIRED)

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_interactive_marker_server
    test/${PROJECT_NAME}/test_interactive_marker_server.cpp
    TIMEOUT 90
  )
  target_link_libraries(test_interactive_marker_server
    ${PROJECT_NAME}
    ${geometry_msgs_TARGETS})

  ament_add_gtest(test_interactive_marker_client
    test/${PROJECT_NAME}/test_interactive_marker_client.cpp
  )
  target_link_libraries(test_interactive_marker_client
    ${PROJECT_NAME}
    ${geometry_msgs_TARGETS})
endif()

ament_package()

=== debian/changelog ===
ros-iron-interactive-markers (2.4.0-3jammy) jammy; urgency=high

  * Update interactive_markers to C++17. (#99 <https://github.com/ros-visualization/interactive_markers/issues/99>)
  * Update maintainers (#98 <https://github.com/ros-visualization/interactive_markers/issues/98>)
  * Mirror rolling to ros2
  * update maintainer (#92 <https://github.com/ros-visualization/interactive_markers/issues/92>)
  * Contributors: Audrow Nash, Chris Lalancette, Dharini Dutia

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-interactive-markers (2.3.2-3jammy) jammy; urgency=high

  * Do not publish if context is invalid during shutdown (#89 <https://github.com/ros-visualization/interactive_markers/issues/89>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-interactive-markers (2.3.1-3jammy) jammy; urgency=high

  * Install includes to include/ and misc CMake fixes (#85 <https://github.com/ros-visualization/interactive_markers/issues/85>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-interactive-markers (2.3.0-3jammy) jammy; urgency=high

  * Fix deprecation warning introduced after client API update (#83 <https://github.com/ros-visualization/interactive_markers/issues/83>)
  * Fix deprecated sub callback warnings (#84 <https://github.com/ros-visualization/interactive_markers/issues/84>)
  * Include tf2_geometry_msgs.hpp instead of the h file. (#82 <https://github.com/ros-visualization/interactive_markers/issues/82>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Ivan Santiago Paunovic

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-interactive-markers (2.2.0-3jammy) jammy; urgency=high

  * Cleanup bsd 3 clause license usage (#61 <https://github.com/ros-visualization/interactive_markers/issues/61>)
  * Add missing includes (#81 <https://github.com/ros-visualization/interactive_markers/issues/81>)
  * Contributors: Bjar Ne, Tully Foote

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-interactive-markers (2.1.3-3jammy) jammy; urgency=high

  * Update maintainers (#79 <https://github.com/ros-visualization/interactive_markers/issues/79>)
  * Increase test timeout necessary for Connext (#77 <https://github.com/ros-visualization/interactive_markers/issues/77>)
  * Fix clang warnings (#75 <https://github.com/ros-visualization/interactive_markers/issues/75>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-interactive-markers (2.1.2-3jammy) jammy; urgency=high

  * Remove explicit template parameter in spin_until_future_complete (#72 <https://github.com/ros-visualization/interactive_markers/issues/72>)
  * Contributors: Sarthak Mittal

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 25 Jun 2020 16:00:00 -0000

ros-iron-interactive-markers (2.1.1-3jammy) jammy; urgency=high

  * export targets in a addition to include directories / libraries (#70 <https://github.com/ros-visualization/interactive_markers/issues/70>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-interactive-markers (2.1.0-3jammy) jammy; urgency=high

  * avoid new deprecations (#69 <https://github.com/ros-visualization/interactive_markers/issues/69>)
  * Merge pull request #60 <https://github.com/ros-visualization/interactive_markers/issues/60> from ros-visualization/revert-58-bsd3clause_fixup
  * Revert "Cleanup bsd 3 clause license usage"
  * Merge pull request #58 <https://github.com/ros-visualization/interactive_markers/issues/58> from ros-visualization/bsd3clause_fixup
  * code style only: wrap after open parenthesis if not in one line (#57 <https://github.com/ros-visualization/interactive_markers/issues/57>)
  * Cleanup bsd 3 clause license usage
  * Contributors: Dirk Thomas, Tully Foote, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-iron-interactive-markers (2.0.1-3jammy) jammy; urgency=high

  * Fix test flakes by waiting for pub/sub discovery (#55 <https://github.com/ros-visualization/interactive_markers/issues/55>)
  * Add parameters for QoS of update and feedback topics (#54 <https://github.com/ros-visualization/interactive_markers/issues/54>)
  * Port Python implementation to ROS 2 (#53 <https://github.com/ros-visualization/interactive_markers/issues/53>)
    * Move Python files to their own directory
    * Install Python via ament_cmake_python
    * Make Python implementation ROS 2 compatible
    * Use docstrings
    * Minor refactor of callback logic
    * Guard against None values and KeyError's
    * Change insert() signature to take keyword arguments
    * Rename variables for clarity (e.g. 'cb' -> 'callback')
    * Fix PEP 257 errors
    * Remove unused setup.py
    * Enable flake8 tests and fix errors
    * Improve performance
    * Clear pending updates after applying all of them
    * Don't rely on user to apply any pose updates
    * Expose QoSProfile a parameter
    * Add Python implementation dependencies to package.xml
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-iron-interactive-markers (2.0.0-3jammy) jammy; urgency=high

  * Add missing visibility macros (#51 <https://github.com/ros-visualization/interactive_markers/issues/51>)
  * Less verbose logging (#45 <https://github.com/ros-visualization/interactive_markers/issues/45>)
  * Rename enums to avoid collisions with MSVC compiler defines (#49 <https://github.com/ros-visualization/interactive_markers/issues/49>)
  * Catch polymorphic exceptions by reference (#48 <https://github.com/ros-visualization/interactive_markers/issues/48>)
  * Port to ROS 2 (#44)
    
    Style and other aesthetic changes
    


=== debian/control ===
Source: ros-iron-interactive-markers
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-geometry-msgs <!nocheck>, ros-iron-rclcpp, ros-iron-rmw, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-iron-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rmw, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: 3D interactive marker communication library for RViz and similar tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-interactive-markers//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
